$ontext
Copyright 2011 Ulrich Kleinwechter.

This file is part of Guimod 1.01.

Guimod is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Guimod is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Guimod.  If not, see <http://www.gnu.org/licenses/>.
$offtext


*### This file is used to export simulation results to excel file 'guimod1.01_res_sims_lib.xls'.

*# Export results to gdx file:
*$ontext
 Execute_unload 'guimod1.01_res_sims_lib.gdx',
  levPA, levPD,
  levFDC, levFDD,
  levHEXPC, levHEXPCP, levHEXPCONS,
  levHS,
  levQA, levQD, levQDT, levQINT, levQP, levQQ, levQR, levQS, levQVA, levQVM, levQVX,
  levWF,
  levYH, levYHP, levYR,
  levYA, levYAG, levYAGL, levYAGLN, levYAOF, levYAOFF, levYAOIF, levYL,
  levYT,
  levU,
  levWALRAS,
  levFDCLM, levFDCHM, levFDCVIL, levFDMLM, levFDMHM, levFDMLOI, levFDMHOI, levFDMLOF,  levFDMHOF,  levQINTLM, levQINTHM, levQINTVIL,
  levQAALM, levQAAHM, levQAAVIL, levQSLM, levQSHM,
  levYHLM, levYHHM, levYRLM, levYRHM, levYRVIL, levYAGLM, levYAGHM, levYAGVIL, levYAOFFLM, levYAOFFHM, levYAOFFVIL, levYAOIFLM, levYAOIFHM, levYAOIFVIL,

  IC, EV, EVLM, EVHM, EVVIL, EVperc, EVpercLM, EVpercHM, EVpercVIL,

  percPA, percPD,
  percFDC, percFDD,
  percHEXPC, percHEXPCP, percHEXPCONS,
  percHS,
  percQA, percQD, percQDT, percQINT, percQP, percQQ, percQR, percQS, percQVA, percQVM, percQVX,
  percWF,
  percYH, percYHP, percYR,
  percYA, percYAG, percYAGL, percYAGLN, percYAOF, percYAOFF, percYAOIF, percYL,
  percYT,
  percFDCLM, percFDCHM, percFDCVIL, percFDMLM, percFDMHM, percFDMLOI, percFDMHOI, percFDMLOF,  percFDMHOF,  percQINTLM, percQINTHM, percQINTVIL, percQINTVILT,
  percQAALM, percQAAHM, percQAAVIL, percQSLM, percQSHM,
  percYHLM, percYHHM, percYRLM, percYRHM, percYRVIL, percYAGLM, percYAGHM, percYAGVIL, percYAOFFLM, percYAOFFHM, percYAOFFVIL, percYAOIFLM, percYAOIFHM, percYAOIFVIL
;

*** Export results to excel file

* Changes in prices
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percWF rng=Prices!B3:H15 dim=3";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percPA rng=Prices!B18:H39 dim=3";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percPD rng=Prices!B42:H72 dim=3";

* Changes in input quantitites
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percFDD rng=Quantities_Inputs!B3:I18 dim=4";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percFDC rng=Quantities_Inputs!B21:I33 dim=4";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percQINT rng=Quantities_Inputs!B36:I54 dim=4";

* Changes in net land rentals
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percQR rng=Land_rentals!B3:H9 dim=3";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=levQR rng=Land_rentals!B12:H18 dim=3";

* Changes in output quantities
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percQQ rng=Quantitites_Output_Sales!B3:H24 dim=3";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percQS rng=Quantitites_Output_Sales!B27:H48 dim=3";

* Changes in household income
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYH rng=HH_income!B3:G9 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYHP rng=HH_income!B12:G18 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYR rng=HH_income!B21:G27 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYAG rng=HH_income!B30:G36 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYAGL rng=HH_income!B39:G45 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYAGLN rng=HH_income!B48:G54 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYAOF rng=HH_income!B57:G63 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYAOFF rng=HH_income!B66:G72 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYAOIF rng=HH_income!B75:G81 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYL rng=HH_income!B84:G90 dim=2";

* Indirect compensation and equivalent variation
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=IC rng=HH_income!B93:G99 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=EV rng=HH_income!B102:G108 dim=2";

* Changes in household expenditure
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percHEXPC rng=HH_expenditure!B3:G9 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percHEXPCP rng=HH_expenditure!B12:G18 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percHEXPCONS rng=HH_expenditure!B21:G27 dim=2";

* Changes in household consumption
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percQD rng=HH_consumption!B3:H39 dim=3";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percQD rng=HH_consumption!B42:H78 dim=3";

* Changes in village trade
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percQVX rng=Village_trade!B3:G7 dim=2";
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percQVM rng=Village_trade!B10:G16 dim=2";

* Changes in total village income
Execute "GDXXRW i=guimod1.01_res_sims_lib.gdx o=guimod1.01_res_sims_lib.xls par=percYT rng=Village_income!B3 dim=1";

